Skip to main content
GET
/
edges
/
https
/
{edge_id}
/
routes
/
{id}
/
circuit_breaker
Get
curl --request GET \
  --url https://api.ngrok.com/edges/https/{edge_id}/routes/{id}/circuit_breaker \
  --header 'Authorization: Bearer <token>' \
  --header 'ngrok-version: <ngrok-version>'
import requests

url = "https://api.ngrok.com/edges/https/{edge_id}/routes/{id}/circuit_breaker"

headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.ngrok.com/edges/https/{edge_id}/routes/{id}/circuit_breaker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "enabled": true,
  "tripped_duration": 123,
  "rolling_window": 123,
  "num_buckets": 123,
  "volume_threshold": 123,
  "error_threshold_percentage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ngrok-version
integer
default:2
required

Path Parameters

edge_id
string
required

unique identifier of this edge

id
string
required

unique identifier of this edge route

Response

200 - application/json

n/a

enabled
boolean

true if the module will be applied to traffic, false to disable. default true if unspecified

tripped_duration
integer

Integer number of seconds after which the circuit is tripped to wait before re-evaluating upstream health

rolling_window
integer

Integer number of seconds in the statistical rolling window that metrics are retained for.

num_buckets
integer

Integer number of buckets into which metrics are retained. Max 128.

volume_threshold
integer

Integer number of requests in a rolling window that will trip the circuit. Helpful if traffic volume is low.

error_threshold_percentage
number

Error threshold percentage should be between 0 - 1.0, not 0-100.0